XmInternAtom(3Xm)

NAME
XmInternAtom — a function that returns an atom for a given name.

SYNOPSIS
#include <Xm/Xm.h>
#include <X11/AtomMgr.h>

Atom XmInternAtom (display, name, only_if_exists)
    Display    * display;
    String    name;
    Boolean    only_if_exists;

DESCRIPTION
XmInternAtom returns an atom for a given name. It mirrors the Xlib interfaces for atom management, but provides client-side caching. When and where caching is provided in Xlib, the routines will become pseudonyms for the Xlib routines.

display
    Specifies the connection to the X server.

name
    Specifies the name associated with the atom you want returned.

only_if_exists
    Specifies a Boolean value that indicates whether XInternAtom creates the atom.

RETURN VALUE
Returns an atom.